## CGAL::Data_access<Map>

### Definition

The struct Data_access<Map> implements a functor that allows to retrieve data from an associative container. The functor keeps a reference to the container. Given an instance of the container's key type, it returns a pair of the container's value type and a boolean indicating whether the retrieval was successful.

This class can be used to provide the values and gradients of the interpolation functions.

#include <CGAL/interpolation_functions.h>

### Parameters

The class Data_access<Map> has the container type Map as template parameter.

### Types

typedef Map::mapped_type
| Data_type;
typedef Map::key_type
| Key_type;

### Creation

Data_access<Map> data_access ( Map map);
| Introduces a Data_access to the container map.

std::pair< Data_type, bool>
| data_access ( Key_type p)
|  | If there is an entry for p in the container map, then the pair of map.find(p) and true is returned. Otherwise, the boolean value of the pair is false.